#!/bin/sh

tmpdir="/tmp/DroboApps/elephantdrive"
errorfile="${tmpdir}/error.txt"
base_dir="/mnt/DroboFS/Shares/DroboApps/elephantdrive"
config_file="$base_dir/config/elephantdrive.config"

if [ ! -f "${errorfile}" ]
then
	mkdir -p "${tmpdir}"
	if [ ! -f "$config_file" ]; then
	  echo 3 > "${errorfile}"
	fi
fi

# install apache 2.x
/usr/bin/DroboApps.sh install_version apache 2
