#!/bin/sh

prog_dir="$(dirname "$(realpath "${0}")")"
base_dir="/mnt/DroboFS/Shares/DroboApps/elephantdrive"
config_file="$base_dir/config/elephantdrive.config"
config_file_tmp="$base_dir/config/elephantdrive.config.tmp"

/bin/sh "${prog_dir}/service.sh" stop

if [ -f "$config_file" ]; then
	cat "$config_file" | grep -i ^username        > "$config_file_tmp"
	cat "$config_file" | grep -i ^password       >> "$config_file_tmp"
	cat "$config_file" | grep -i ^hashedpassword >> "$config_file_tmp"
	cat "$config_file" | grep -i ^userpassword   >> "$config_file_tmp"
	cat "$config_file_tmp" > "$config_file"
	rm -f "$config_file_tmp"
fi

cd "$base_dir"
rm -rf $(ls | grep -v 'host_uid.txt\|config\|var')

cd "$base_dir/config"
rm -rf $(ls | grep -v 'elephantdrive.config')

echo 'update successful' > "${prog_dir}/update.log"
